Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.server
Class Transport

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.SimpleChain
              org.apache.axis.SimpleTargetedChain
                  org.apache.axis.server.Transport

All Implemented Interfaces:
  Chain, Handler, Serializable, TargetedChain

public class Transport
extends SimpleTargetedChain

Transport is a targeted chain that knows it's a transport.

This is purely for deployment naming at this point.

Author:
  Glen Daniels (gdaniels@macromedia.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.SimpleTargetedChain
`pivotHandler, requestHandler, responseHandler`

Fields inherited from class org.apache.axis.SimpleChain
`handlers, invoked`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`Transport()`

Methods inherited from class org.apache.axis.SimpleTargetedChain
`getPivotHandler, getRequestHandler, getResponseHandler, init`

Methods inherited from class org.apache.axis.SimpleChain
`addHandler, canHandleBlock, cleanup, contains, generateWSDL, getDeploymentData, getHandlers, init, invoke, onFault`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`getName, getOption, getOptions, getUnderstoodHeaders, initHashtable, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis.Chain
`addHandler, contains, getHandlers`

Methods inherited from interface org.apache.axis.Handler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, invoke, onFault, setName, setOption, setOptions`

Constructor Detail

### Transport

    public Transport()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.